<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddFolder Method (IEdmLabel5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmLabel5 Interface : AddFolder Method (IEdmLabel5)

Visual Basic
C#
C++/CLI

lFolderID
  ID of folder on which to set this label

bRecursive
  True to recursively set this label on all subfolders, false to not

Sets this label on the specified folder and all of the files in that folder.

# Syntax

Visual Basic |
--- | ---

    Sub AddFolder( _
       ByVal lFolderID As System.Integer, _
       ByVal bRecursive As System.Boolean _
    )

C# |
--- | ---

    void AddFolder(
       System.int lFolderID,
       System.bool bRecursive
    )

C++/CLI |
--- | ---

    void AddFolder(
    &   System.int lFolderID,
    &   System.bool bRecursive
    )

#### Parameters

lFolderID
  ID of folder on which to set this label
bRecursive
  True to recursively set this label on all subfolders, false to not

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmLabel5 Interface
IEdmLabel5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2